%define name    serd
%define version 0.18.2
%define release 3

Name: serd
Version: 0.18.2
Release: 3.rncbc.suse131
Summary: Lightweight RDF syntax library

%define _lib_major 0
%define _lib_name lib%{name}-%{_lib_major}
%define _lib_name_devel lib%{name}-devel

Source: http://download.drobilla.net/%{name}-%{version}.tar.bz2
URL: http://drobilla.net/software/
License: MIT
Group: System/Libraries
BuildRequires: pkgconfig python python-rdflib python-xml

%description
Lightweight C library for RDF syntax which supports reading
and writing Turtle and NTriples. Serd is not intended to be a swiss-army
knife of RDF syntax, but rather is suited to resource limited or
performance critical applications, or situations where a simple
reader/writer with minimal dependencies is ideal
(e.g. in LV2 hosts or plugins).

%files -n %{name}
%defattr(-,root,root,-)
%doc %{_mandir}/man1/serdi.*
%{_bindir}/serdi

#-----------------------------------
%package -n %{_lib_name}

Summary: Lightweight RDF syntax library
Group: System/Libraries

%description -n %{_lib_name}
Lightweight C library for RDF syntax which supports reading
and writing Turtle and NTriples. Serd is not intended to be a swiss-army
knife of RDF syntax, but rather is suited to resource limited or
performance critical applications, or situations where a simple
reader/writer with minimal dependencies is ideal
(e.g. in LV2 hosts or plugins).

%files -n %{_lib_name}
%defattr(-,root,root,-)
%{_libdir}/lib%{name}-%{_lib_major}.so.*

#-----------------------------------
%package -n %{_lib_name_devel}
Summary: Headers for the Lightweight RDF syntax library
Group: System/Libraries
Requires: %{_lib_name} = %{version}-%{release}
Requires: pkgconfig
Provides: %{name}-devel = %{version}-%{release}

%description -n %{_lib_name_devel}
Development files needed to build applications against serd.

%files -n %{_lib_name_devel}
%defattr(-,root,root,-)
%{_libdir}/lib%{name}-%{_lib_major}.so
%dir %{_includedir}/%{name}-%{_lib_major}/
%dir %{_includedir}/%{name}-%{_lib_major}/%{name}
%{_includedir}/%{name}-%{_lib_major}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}-%{_lib_major}.pc

#-----------------------------------
%prep
%setup -q

%build
./waf configure --prefix=%{_prefix} --mandir=%{_mandir} --libdir=%{_libdir}
./waf

%install
rm -rf %{buildroot}
./waf install --destdir=%{buildroot}

%clean
rm -rf %{buildroot}

%post   -n %{_lib_name} -p /sbin/ldconfig
%postun -n %{_lib_name} -p /sbin/ldconfig

#-----------------------------------
%changelog

* Sun Dec 22 2012 Rui Nuno Capela <rncbc@rncbc.org> - 0.18.2-3
- New release update.
* Thu Aug 23 2012 Rui Nuno Capela <rncbc@rncbc.org> - 0.18.0-2
- New release update.
* Fri May 11 2012 Rui Nuno Capela <rncbc@rncbc.org> - 0.14.0-1
- Initial spec build.
